import { Color } from '../../color';
import { CoreTypes } from '../../core-types';
export interface ShadowCSSValues {
    inset: boolean;
    offsetX: CoreTypes.LengthType;
    offsetY: CoreTypes.LengthType;
    blurRadius?: CoreTypes.LengthType;
    spreadRadius?: CoreTypes.LengthType;
    color: Color;
}
/**
 * Parse a string into ShadowCSSValues
 * Supports any valid css box/text shadow combination.
 *
 * inspired by https://github.com/jxnblk/css-box-shadow/blob/master/index.js (MIT License)
 *
 * @param value
 */
export declare function parseCSSShadow(value: string): ShadowCSSValues;
