import { TextBaseCommon } from './text-base-common';
import { FormattedString } from './formatted-string';
import { CoreTypes } from '../../core-types';
export * from './text-base-common';
export interface TextTransformation {
    new (owner: TextBase): android.text.method.TransformationMethod;
}
export declare class TextBase extends TextBaseCommon {
    nativeViewProtected: org.nativescript.widgets.StyleableTextView;
    private _defaultTransformationMethod;
    private _paintFlags;
    private _minHeight;
    private _maxHeight;
    private _minLines;
    private _maxLines;
    private _tappable;
    private _defaultMovementMethod;
    get nativeTextViewProtected(): org.nativescript.widgets.StyleableTextView;
    initNativeView(): void;
    disposeNativeView(): void;
    resetNativeView(): void;
    createFormattedTextNative(value: FormattedString): globalAndroid.text.SpannableStringBuilder;
    private adjustLineBreak;
    _setNativeText(reset?: boolean): void;
    _setTappableState(tappable: boolean): void;
}
export declare function getTransformedText(text: string, textTransform: CoreTypes.TextTransformType): string;
