import { ShadowCSSValues } from '../styling/css-shadow';
import { TextBaseCommon } from './text-base-common';
import { FormattedString } from './formatted-string';
import { Span } from './span';
import { CoreTypes } from '../../core-types';
export * from './text-base-common';
export declare class TextBase extends TextBaseCommon {
    nativeViewProtected: UITextField | UITextView | UILabel | UIButton;
    _spanRanges: NSRange[];
    private _tappable;
    private _linkTapHandler;
    private _tapGestureRecognizer;
    get nativeTextViewProtected(): UITextField | UITextView | UILabel | UIButton;
    initNativeView(): void;
    disposeNativeView(): void;
    _setTappableState(tappable: boolean): void;
    _setColor(color: UIColor): void;
    _animationWrap(fn: () => void): void;
    _setNativeText(reset?: boolean): void;
    createFormattedTextNative(value: FormattedString): NSMutableAttributedString;
    getFormattedStringDetails(formattedString: FormattedString): {
        spans: any[];
    };
    createMutableStringDetails(span: Span, text: string, index?: number): any;
    createMutableStringForSpan(span: Span, text: string): NSMutableAttributedString;
    getBaselineOffset(font: UIFont, align?: CoreTypes.VerticalAlignmentTextType): number;
    _setShadow(value: ShadowCSSValues): void;
}
export declare function getTransformedText(text: string, textTransform: CoreTypes.TextTransformType): string;
